#WRITTEN BY DENE BOWDALO

###--------------------------------------------------------------------------------------------------###
###--------------------------------------------------------------------------------------------------###

#CAPMoN_processor.py

#module which handles parsing of CAPMoN network data files.

###--------------------------------------------------------------------------------------------------###
###IMPORT MODULES
###--------------------------------------------------------------------------------------------------###

import crossnetwork_processing_functions
import csv
import datetime
from dateutil.relativedelta import relativedelta
import glob
import numpy as np

###--------------------------------------------------------------------------------------------------###
###--------------------------------------------------------------------------------------------------###

def read_data(slurm_job_ID, network, parameter, year):

    '''Convert annual data provider original file for multiple stations into GHOST standard .npy station specific files'''
 
    #initialise log file string
    log_file_str = ''

    #Get dictionaries holding run specific variables, parameter specific variables and network specific variables
    run_details, parameter_details, network_details = crossnetwork_processing_functions.get_run_dictionaries(slurm_job_ID, network, parameter)
    #time start of stage processing
    run_details['stage_process_start_time'] = time.time()

    #get specific data files for current year
    data_files = crossnetwork_processing_functions.get_data_files(run_details, parameter_details, specific_year=year)



 



    metadata_chunk = False
    read_metadata = False
    data_chunk = False
    read_data = False

    for file_i in range(len(data_files)):
